load_sample(3)

NAME
load_sample - Loads a sample from a file. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

SAMPLE *load_sample(const char *filename);

DESCRIPTION
Loads a sample from a file, supporting both mono and stereo WAV and mono VOC files, in 8 or 16-bit formats, as well as formats handled by functions registered using register_sample_file_type(). Example:
   SAMPLE *sample = load_sample(user_input);
   if (!sample)
      abort_on_error("Couldn't load sample!");

RETURN VALUE
Returns a pointer to the SAMPLE or NULL on error. Remember to free this sample later to avoid memory leaks.

SEE ALSO
destroy_sample(3), load_voc(3), load_wav(3), play_sample(3), save_sample(3), register_sample_file_type(3), exsample(3)